=== debian/changelog ===
flightgear (1:2016.4.4+dfsg-3+deb9u1) stretch; urgency=medium

  * Add patches init-allowed-paths-earlier-secu-fix-f372d7.patch and
    prevent-arbitrary-file-writes-secu-fix-58d8e1.patch: prevent
    malicious add-ons from overriding arbitrary files.
    Closes: #873439 (CVE-2017-13709)

 -- Markus Wanner <markus@bluegap.ch>  Sun, 01 Oct 2017 20:14:35 +0100

flightgear (1:2016.4.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix RouteMgr security: don't allow overwriting arbitrary files.
    This fixes CVE-2017-8921.
    Thanks to Salvatore Bonaccorso <carnil@debian.org> (Closes: #862689)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 19 May 2017 21:10:15 +0200

flightgear (1:2016.4.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Depend on simgear 2016.4.4, the package FTBFS with earlier versions.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 24 Jan 2017 21:38:55 +0100

flightgear (1:2016.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch route-manager-secu-fix-6a05d592.patch, it got applied
    upstream.
  * Add patch relax_version_check.patch. Closes: #850207.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 15 Jan 2017 20:29:16 +0100

flightgear (1:2016.4.3+dfsg-2) unstable; urgency=medium

  * Rebuild against simgear-2016.4.3+dfsg-2.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 19 Dec 2016 12:55:58 +0100

flightgear (1:2016.4.3+dfsg-1) unstable; urgency=high

  * New upstream release.
  * Refresh patch spelling_20160920.patch.
  * Add patch route-manager-secu-fix-280cd5.patch to prevent the
    route manager from writing arbitrary files. Closes: #848114.
  * Update dependency on simgear to ensure this builds against the
    corresponding version.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 14 Dec 2016 20:15:09 +0100

flightgear (1:2016.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #839083.
  * Refresh existing spelling patches, add spelling_20161121.patch.
  * Drop patch additional_lib_links.patch, seems unnecessary now that
    we link simgear statically.
  * Drop cmake variables ENABLE_FGADMIN, FGCOM_DATA_PATH and
    SIMGEAR_SHARED, these are no longer supported (and would be ignored,
    anyways).
  * Update d/copyright: drop a removed file.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 28 Nov 2016 23:09:19 +0100

flightgear (1:2016.3.1+dfsg-2) unstable; urgency=medium

  * Correct dependency on flightgear-data: add epoch.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 29 Sep 2016 12:00:36 +0200

flightgear (1:2016.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Adjust dependencies in debian/control.
  * Enable all hardening featueres.
  * Drop patch 0001-Use-CMAKE_INSTALL_BINDIR.patch, it got applied
    upstream.
  * Refresh patches spelling_20160206.patch and spelling_20160529.patch
  * Add patch spelling_20160920.patch.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 20 Sep 2016 22:24:22 +0200
