=== debian/control ===
Source: flightgear
Section: games
Priority: extra
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>,
 Markus Wanner <markus@bluegap.ch>
Build-Depends: debhelper (>= 9.20160114~), libx11-dev, libxext-dev,
 libxi-dev, libice-dev, libsm-dev, libxt-dev, libxmu-dev, zlib1g-dev,
 libboost-dev, libopenal-dev, libalut-dev,
 libplib-dev (>= 1.8.5), cmake (>= 2.6),
 libcurl4-gnutls-dev | libcurl-dev,
 libudns-dev,
 libexpat-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 freeglut3-dev,
 libjpeg-dev,
 libpng-dev,
 libopenscenegraph-dev (>= 3.2.0~),
 libsimgear-dev (>> 1:2016.4.4~), libsimgear-dev (<= 1:2016.4.999),
 libsqlite3-dev (>= 3.7.14~),
 libudev-dev [linux-any],
 libusbhid-dev [kfreebsd-any],
 libdbus-1-dev,
 libgsm1-dev,
 libspeex-dev,
 libspeexdsp-dev,
 flite1-dev,
 libhtsengine-dev (>= 1.07~),
 qtbase5-dev
Standards-Version: 3.9.8
Homepage: http://www.flightgear.org/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/flightgear.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/flightgear.git

Package: flightgear
Architecture: any
Depends:
 flightgear-data-all (>= 1:2016.4.1~),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 flightgear-phi
Description: Flight Gear Flight Simulator
 FlightGear Flight Simulator (often shortened to FlightGear or FGFS)
 is a sophisticated free, completely open-source flight simulator
 framework, created by volunteers.
 .
 This package contains the runtime binaries.
